package com.ruoyi.mall.service;

import java.util.List;
import com.ruoyi.mall.domain.MallConfig;

/**
 * 商城相关设置Service接口
 *
 * @author ruoyi
 * @date 2024-03-26
 */
public interface IMallConfigService
{
    /**
     * 查询商城相关设置
     *
     * @param id 商城相关设置主键
     * @return 商城相关设置
     */
    public MallConfig selectMallConfigById(Long id);

    /**
     * 查询商城相关设置列表
     *
     * @param mallConfig 商城相关设置
     * @return 商城相关设置集合
     */
    public List<MallConfig> selectMallConfigList(MallConfig mallConfig);

    /**
     * 新增商城相关设置
     *
     * @param mallConfig 商城相关设置
     * @return 结果
     */
    public int insertMallConfig(MallConfig mallConfig);

    /**
     * 修改商城相关设置
     *
     * @param mallConfig 商城相关设置
     * @return 结果
     */
    public int updateMallConfig(MallConfig mallConfig);

    /**
     * 批量删除商城相关设置
     *
     * @param ids 需要删除的商城相关设置主键集合
     * @return 结果
     */
    public int deleteMallConfigByIds(Long[] ids);

    /**
     * 删除商城相关设置信息
     *
     * @param id 商城相关设置主键
     * @return 结果
     */
    public int deleteMallConfigById(Long id);

    /**
     * 根据设置标识查询商城相关设置
     *
     * @param identifying 设置标识
     * @return 商城相关设置
     */
    public MallConfig selectMallConfigByIdentifying(String identifying);
}
